VisualEditor: Dialog to manipulate image properties (type, alignment, border, size, caption, alt text)
Closed, ResolvedPublic

Description

More for the wishlist...

Need a dialog to manipulate image properties (size, alignment, border, caption).


Version: unspecified
Severity: enhancement

bzimport set Reference to bz38129.
brion created this task.Via LegacyJul 2 2012, 11:17 PM
Jdforrester-WMF added a comment.Via ConduitMay 12 2013, 1:54 AM

Speculatively putting into the next release.

Jdforrester-WMF added a comment.Via ConduitJun 19 2013, 1:02 AM

Caption editing is now done and will be live in a few minutes; setting size, alignment, type and border will come later.

Jdforrester-WMF added a comment.Via ConduitJul 4 2013, 1:22 AM
  • Bug 50709 has been marked as a duplicate of this bug. ***
Mdennis-WMF added a comment.Via ConduitJul 4 2013, 10:25 PM

Just adding another urge for alt.text at English Wikipedia. :)

Jdforrester-WMF added a comment.Via ConduitJul 10 2013, 6:42 PM
  • Bug 51126 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJul 18 2013, 5:25 PM

Change 74082 had a related patch set uploaded by Jforrester:
Base for media settings size widget.

https://gerrit.wikimedia.org/r/74082

bzimport added a comment.Via ConduitAug 4 2013, 4:41 PM

pearley wrote:

We have another request for "alt text" support in the media dialog. As this is an accessibility concern for the visually impaired in our reader base, it's an important option to offer (the dialog will have to explain this field, and why it's desirable).

gerritbot added a comment.Via ConduitNov 6 2013, 5:34 PM

Change 92767 had a related patch set uploaded by Jforrester:
[WIP] Add further image attribute editing to the media dialog

https://gerrit.wikimedia.org/r/92767

Jdforrester-WMF added a comment.Via ConduitNov 6 2013, 5:34 PM
  • Bug 53937 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJan 3 2014, 10:12 PM

Change 92767 abandoned by Mooeypoo:
[WIP] Add further image attribute editing to the media dialog

Reason:
Split into separate dependent commits

https://gerrit.wikimedia.org/r/92767

gerritbot added a comment.Via ConduitJan 14 2014, 5:26 AM

Change 103193 had a related patch set uploaded by Jforrester:
Changing image size in MWMediaEditDialog

https://gerrit.wikimedia.org/r/103193

gerritbot added a comment.Via ConduitJan 14 2014, 5:26 AM

Change 105098 had a related patch set uploaded by Jforrester:
Adding alternate text to media edit dialog

https://gerrit.wikimedia.org/r/105098

gerritbot added a comment.Via ConduitJan 23 2014, 2:57 AM

Change 103193 merged by jenkins-bot:
Changing image size in MWMediaEditDialog

https://gerrit.wikimedia.org/r/103193

gerritbot added a comment.Via ConduitFeb 6 2014, 2:59 AM

Change 105098 merged by jenkins-bot:
Adding alternate text to media edit dialog

https://gerrit.wikimedia.org/r/105098

gerritbot added a comment.Via ConduitFeb 6 2014, 3:24 AM

Change 105247 had a related patch set uploaded by Jforrester:
[WIP] Add image type change to media edit dialog

https://gerrit.wikimedia.org/r/105247

Jdforrester-WMF added a comment.Via ConduitFeb 6 2014, 3:40 AM

A quick review of the settings functionality for the media dialog right now:

  • which media item is shown (but keeping other options): bug 51033
  • media item type (thumb, frame, frameless): underway in gerrit 105247
    • media thumbnail over-ride: not yet done, low priority
  • border: not yet done, low priority
  • location (left/right/centre/non): bug 51293, done
  • alignment (baseline/middle/…): not yet done, low priority
  • size: mostly done; needs some fixes
    • need a "set at default size" button
    • need a "set as 'upright'" value setting (default to 75%)
    • logic rule changes when image is frame not thumb (no upscaling of image)
  • link: not yet done, low priority
    • Possibly needs to know licence to avoid linking in violation of licence, e.g. CC-BY?
  • alt text: done
  • caption: done

Non-image things:

  • page (for multi-page items, e.g. PDFs): not yet done, low priority
  • noicon (for multimedia items): not yet done, low priority
  • start: not yet done, low priority
  • thumbtime: not yet done, low priority

Other things:

  • preview of media item: bug 52461
  • remove from page button: bug 51764
  • merging with the (future) gallery editing dialog: not yet done
  • CE-surface fixes to make TMH's media items display correctly: not yet done
gerritbot added a comment.Via ConduitFeb 8 2014, 12:45 AM

Change 105247 merged by jenkins-bot:
Add image type change to media edit dialog

https://gerrit.wikimedia.org/r/105247

Jdforrester-WMF added a comment.Via ConduitMar 6 2014, 5:11 AM

Updated list of not-yet-done items from comment #16:

  • which media item is shown (but keeping other options): bug 51033
  • media thumbnail over-ride: not yet done, low priority
  • alignment (baseline/middle/…): not yet done, low priority
  • need a "set as 'upright'" size value setting (default to 75%)
  • link: not yet done, low priority

Non-image things:

  • page (for multi-page items, e.g. PDFs): not yet done, low priority
  • noicon (for multimedia items): not yet done, low priority
  • start: not yet done, low priority
  • thumbtime: not yet done, low priority

Other things:

  • preview of media item: bug 52461
  • remove from page button: bug 51764
  • merging with the (future) gallery editing dialog: not yet done
  • CE-surface fixes to make TMH's media items display correctly: not yet done
Jdforrester-WMF added a comment.Via ConduitMar 14 2014, 10:16 PM

Moving all of these out into their own bugs and closing this:

(In reply to James Forrester from comment #18)

  • media thumbnail over-ride: not yet done, low priority

Now bug 62669.

  • alignment (baseline/middle/…): not yet done, low priority

Now bug 62670.

  • need a "set as 'upright'" size value setting (default to 75%)

Now bug 62671.

  • link: not yet done, low priority

Now bug 62672.

Non-image things:

  • page (for multi-page items, e.g. PDFs): not yet done, low priority

Now bug 62673.

  • noicon (for multimedia items): not yet done, low priority

Now bug 62674.

  • start: not yet done, low priority

Now bug 62675.

  • thumbtime: not yet done, low priority

Now bug 62676.

  • merging with the (future) gallery editing dialog: not yet done

Now bug 62677.

  • CE-surface fixes to make TMH's media items display correctly: not yet done

Now bug 62678.

Closing this one as an unhelpful semi-tracker.

Ironholds removed a subscriber: Ironholds.Via WebFeb 25 2015, 8:03 PM

Add Comment